% demo for NMF-APC algorithm
% contact: otichy@utia.cas.cz

clear all

%% load data
load example_data108L.mat
if 0 % data view
    for i=1:size(scD,2)
        figure(1)
        imagesc(reshape(scD(:,i),37,47)')
        colormap(1-gray)
        pause
    end
end

%% run NMF-APC algorithm
r = 4;
[hat_A,hat_X] = NMF_APC_algorithm(scD,r);


%% print results
figure(2);
cols = r;
rows = 2;
for i = 1:r
    subplot(rows,cols,i)
        imagesc(reshape(hat_A(:,i),37,47)')
        colormap(1-gray)
    subplot(rows,cols,i+r)
        plot(hat_X(:,i))
end
